Module javafx.web
Package javafx.scene.web

# Class HTMLEditorSkin

java.lang.Object
javafx.scene.control.SkinBase<HTMLEditor>
javafx.scene.web.HTMLEditorSkin

All Implemented Interfaces:
  `Skin<HTMLEditor>`

public class HTMLEditorSkin extends SkinBase<HTMLEditor>
HTML editor skin.

Since:
  9
See Also:
  - `HTMLEditor`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`HTMLEditorSkin.Command`
Represents commands that can be passed into the HTMLEditor web engine.

## Constructor Summary

Constructors
Constructor
Description
`HTMLEditorSkin(HTMLEditor control)`
Creates a new HTMLEditorSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`layoutChildren(double x, double y, double w, double h)`
Called during the layout pass of the scenegraph.
`void`
`performCommand(HTMLEditorSkin.Command command)`
Special-case handling for certain commands.

### Methods inherited from class javafx.scene.control.SkinBase

`computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HTMLEditorSkin

public HTMLEditorSkin(HTMLEditor control)
Creates a new HTMLEditorSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

Parameters:
  `control` - The control that this skin should be installed onto.

## Method Details

### performCommand

public void performCommand(HTMLEditorSkin.Command command)
Special-case handling for certain commands. Over time this may be extended to handle additional commands. The current list of supported commands is:

- BOLD
- ITALIC
- UNDERLINE

Parameters:
  `command` - the command

### layoutChildren

protected void layoutChildren(double x, double y, double w, double h)
Called during the layout pass of the scenegraph.

Overrides:
  `layoutChildren` in class `SkinBase<HTMLEditor>`
Parameters:
  `x` - the x position
  `y` - the y position
  `w` - the width
  `h` - the height